• Masahito Muroi's avatar
    Support Keystone v3 API in CLI · 329e17cc
    Masahito Muroi authored
    Keystone officially supports the v3 API and marked v2.0 as deprecated.
    However, the python-blazarclient CLI specifically used the v2.0 API,
    resulting in authorization errors when using the CLI with the v3 API.
    
    This patch allows the Keystone client used in our CLI to choose between
    v3 or v2.0 depending on the available Keystone endpoint.
    
    Change-Id: Idc536801d0e18169c19235da1778063380b5ced4
    Closes-Bug: #1657826
    329e17cc
Name
Last commit
Last update
climateclient Loading commit data...
.gitignore Loading commit data...
.gitreview Loading commit data...
.testr.conf Loading commit data...
HACKING.rst Loading commit data...
LICENSE Loading commit data...
MANIFEST.in Loading commit data...
README.rst Loading commit data...
requirements.txt Loading commit data...
setup.cfg Loading commit data...
setup.py Loading commit data...
test-requirements.txt Loading commit data...
tox.ini Loading commit data...